# Uses of Class
io.dapr.internal.resiliency.TimeoutPolicy

Packages that use TimeoutPolicy
Package
Description
io.dapr.internal.grpc
io.dapr.internal.grpc.interceptors

## Uses of TimeoutPolicy in io.dapr.internal.grpc

Constructors in io.dapr.internal.grpc with parameters of type TimeoutPolicy
Modifier
Constructor
Description
``
`DaprClientGrpcInterceptors(String daprApiToken, TimeoutPolicy timeoutPolicy)`
Instantiates a holder of all gRPC interceptors.

## Uses of TimeoutPolicy in io.dapr.internal.grpc.interceptors

Constructors in io.dapr.internal.grpc.interceptors with parameters of type TimeoutPolicy
Modifier
Constructor
Description
``
`DaprTimeoutInterceptor(TimeoutPolicy timeoutPolicy)`